Package org.bukkit.block.data.type

# Interface Stairs

All Superinterfaces:
  `Bisected`, `BlockData`, `Cloneable`, `Directional`, `Waterlogged`

public interface Stairs extends Bisected, Directional, Waterlogged
'shape' represents the texture and bounding box shape of these stairs.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Stairs.Shape`
The shape of a stair block - used for constructing corners.

## Nested classes/interfaces inherited from interface org.bukkit.block.data.Bisected

`Bisected.Half`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Stairs.Shape`
`getShape()`
Gets the value of the 'shape' property.
`void`
`setShape(@NotNull Stairs.Shape shape)`
Sets the value of the 'shape' property.

### Methods inherited from interface org.bukkit.block.data.Bisected

`getHalf, setHalf`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getShape

@NotNull @NotNull Stairs.Shape getShape()
Gets the value of the 'shape' property.

Returns:
  the 'shape' value

### setShape

void setShape(@NotNull @NotNull Stairs.Shape shape)
Sets the value of the 'shape' property.

Parameters:
  `shape` - the new 'shape' value